<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context="com.synjones.idcardusb_reader.ReadCpuCardActivity">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/btnFindCpu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="寻CPU卡" />
        <Button
            android:id="@+id/btnFindPSAM"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="寻PSAM卡" />

        <Button
            android:id="@+id/btnUnloadPsam"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="卸载PSAM卡" />

    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="APDU:"/>
        <EditText
            android:id="@+id/etAPDU"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:digits="0123456789abcdefABCDEF"
            android:text="0084000008"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/btnExeApdu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="执行CPU apdu指令" />
        <Button
            android:id="@+id/btnExePsamApdu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="执行PSAM apdu指令" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical"
        >
        <ScrollView
            android:id="@+id/scrollMsg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:layout_gravity="center_vertical"
            android:scrollbars="vertical" >

            <TextView
                android:id="@+id/tvMsg"
                android:layout_width="fill_parent"
                android:layout_height="match_parent"
                android:text=""
                android:textSize="15dp" />
        </ScrollView>

    </LinearLayout>

    <Button
        android:id="@+id/btnClear"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="清空" />

</LinearLayout>
